Library Version 18.1.40

DB_MPOOLFILE->get_flags()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_MPOOLFILE->get_flags()

    #include <db.h>

    int
    DB_MPOOLFILE->get_flags(DB_MPOOLFILE *mpf, u_int32_t *flagsp);

The `DB_MPOOLFILE->get_flags()` method returns the flags used to configure a file in the cache.

The `DB_MPOOLFILE->get_flags()` method may be called at any time during the life of the application.

The `DB_MPOOLFILE->get_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB_MPOOLFILE->get_flags()` method returns the flags in flagsp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_MPOOLFILE->set_flags()

Prev | Up | Next
DB_MPOOLFILE->get_fileid() | Home | DB_MPOOLFILE->get_ftype()